Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class LockGroup

    java.lang.Object
      kodo.jdbc.meta.LockGroup

All Implemented Interfaces:
  Comparable

    public class LockGroup

extends Object
implements Comparable

A group of fields that are versioned together.

Since:
  4.0

Field Summary
`static String` | `NAME_DEFAULT` Name of the default lock group.

Constructor Summary
`LockGroup(String name)` Constructor; supply name.

Method Summary
`int` | `compareTo(Object other)`
`boolean` | `equals(Object other)`
`String` | `getName()` The name of this lock group.
`int` | `hashCode()`
`boolean` | `isDefault()` Whether this is the default lock group.
`boolean` | `isDirty(org.apache.openjpa.kernel.OpenJPAStateManager sm)` Whether this lock group is dirty for the given instance.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_DEFAULT

    public static final String NAME_DEFAULT

  Name of the default lock group.

  See Also:
    Constant Field Values

Constructor Detail

### LockGroup

    public LockGroup(String name)

  Constructor; supply name.

Method Detail

### getName

    public String getName()

  The name of this lock group.

### isDirty

    public boolean isDirty(org.apache.openjpa.kernel.OpenJPAStateManager sm)

  Whether this lock group is dirty for the given instance.

### isDefault

    public boolean isDefault()

  Whether this is the default lock group.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.